%define anolis_release 1

Name:		livepatch-mgr
Version:	0.1.2
Release:	%{anolis_release}%{?dist}
Summary:	Kernel live patch manager for Anolis
License:	GPLv2
Url:		https://gitee.com/anolis/livepatch-mgr
Source0:	https://gitee.com/anolis/livepatch-mgr/archive/refs/tags/%{name}-v%{version}.tar.gz

BuildRequires:	python3-devel /usr/bin/pathfix.py
Requires:	bash kmod binutils kpatch
BuildArch:	noarch

%description
livepatch manager tool allows the user to manage
a collection of binary kernel patch modules which can be used to dynamically
patch the kernel without rebooting.

%prep
%autosetup -n %{name}-v%{version} -p1
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" .

%build
make -C man

%install
mkdir -p %{buildroot}/%{_bindir}
make install PREFIX=%{_prefix} DESTDIR=%{buildroot} -C man
install -m 0755 src/livepatch-mgr.py %{buildroot}/%{_bindir}/livepatch-mgr
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}/usr/bin/livepatch-mgr

%files
%license license.txt
%doc README.md
%{_bindir}/livepatch-mgr
%{_mandir}/man1/livepatch-mgr.1.zst

%changelog
* Thu Jun 8 2023 zhangyongde <ydzhang@linux.alibaba.com> - 0.1.2-1
- init package
